Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class FilteredDataCollection

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.access.DerivedDataCollection
                  |
                  +--ru.biosoft.access.FilteredDataCollection

public class FilteredDataCollection
extends DerivedDataCollection
implements DataCollectionListener

todo high document and test
pending high event issues

Field Summary
`final static String` | `FILTER_PROPERTY` Key for setting filter in properties.

Constructor Summary
`FilteredDataCollection(DataCollection primaryDC, Properties properties)` Create collection with specified properties.

Method Summary
`boolean` | `contains(String name)`
`void` | `elementAdded(DataCollectionEvent event)`
`void` | `elementChanged(DataCollectionEvent event)`
`void` | `elementRemoved(DataCollectionEvent event)`
`void` | `elementWillAdd(DataCollectionEvent event)`
`void` | `elementWillChange(DataCollectionEvent event)`
`void` | `elementWillRemove(DataCollectionEvent event)`
`DataElement` | `get(String name)`
`List` | `getNameList()`
`int` | `getSize()`
`Iterator` | `iterator()`
`DataElement` | `put(DataElement de)`
`DataElement` | `remove(String name)`

Methods inherited from class ru.biosoft.access.DerivedDataCollection
`close, contains, doGet, getDataElementType, getInfo, isMutable, toString`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, getCompleteName, init, propagateElementChanged, propagateElementWillChange, removeDataCollectionListener`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Field Detail

### FILTER_PROPERTY

    public final static String FILTER_PROPERTY

  Key for setting filter in properties.

Constructor Detail

### FilteredDataCollection

    public FilteredDataCollection(DataCollection primaryDC, Properties properties)

  Create collection with specified properties.
  - FILTER_PROPERTY
  Parameters:
    primary - Primary collection (which will be filtered).
    properties - Properties for filtered collection.

Method Detail

### contains

    public boolean contains(String name)

### elementAdded

    public void elementAdded(DataCollectionEvent event)
                       throws java.lang.Exception

### elementChanged

    public void elementChanged(DataCollectionEvent event)
                         throws java.lang.Exception

  todo URGENT Use filter
  peding firing events removed because of endless loop, should be checked

### elementRemoved

    public void elementRemoved(DataCollectionEvent event)
                         throws java.lang.Exception

### elementWillAdd

    public void elementWillAdd(DataCollectionEvent event)
                         throws DataCollectionVetoException,
                                java.lang.Exception

### elementWillChange

    public void elementWillChange(DataCollectionEvent event)
                            throws DataCollectionVetoException,
                                   java.lang.Exception

  todo URGENT Use filter
  peding firing events removed because of endless loop, should be checked

### elementWillRemove

    public void elementWillRemove(DataCollectionEvent event)
                            throws DataCollectionVetoException,
                                   java.lang.Exception

### get

    public DataElement get(String name)
                     throws java.lang.Exception

### getNameList

    public List getNameList()

### getSize

    public int getSize()

### iterator

    public Iterator iterator()

### put

    public DataElement put(DataElement de)
                     throws java.lang.Exception

### remove

    public DataElement remove(String name)
                        throws java.lang.Exception

Association Links

to Class java.lang.String

  Key for setting filter in properties.

to Class ru.biosoft.access.Filter

to Class java.util.List

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM